## nvidia-graphics-drivers-tesla-418 418.152.00

=== debian/changelog ===
nvidia-graphics-drivers-tesla-418 (418.152.00-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 10 Sep 2020 13:22:28 -0700

nvidia-graphics-drivers-tesla-418 (418.152.00-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Replace *-i386 helper packages with *:i386 recommendations (440.100-2).
  * Allow alternative libnvidia-{tesla,legacy}-*-cfg1 packages to substitute
    libnvidia-cfg1 in third-party packages (450.57-2).
    - Add Provides: libnvidia-cfg.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-cfg.so.1 through
      the symbols file.
  * Test that the patches can be applied to the module source (450.66-1).
  * nvidia-kernel-dkms: Ship with unapplied patches and apply the patches
    while building kernel modules (450.66-1).
  * Simplify generating the -source and -dkms packages (450.66-1).
  * Backport nv_vmalloc and nv_mmap_* (mmap_{sem=>lock}) changes from 450.57
    to fix kernel module build for Linux 5.8.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:48:01 +0200

nvidia-graphics-drivers-tesla-418 (418.152.00-1) unstable; urgency=medium

  * New upstream Tesla release 418.152.00 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jun 2020 20:13:42 +0200

nvidia-graphics-drivers (390.138-1) stretch; urgency=medium

  * New upstream legacy branch release 390.138 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "implicit declaration of function 'timespec_to_ns'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "implicit declaration of function 'getrawmonotonic'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "implicit declaration of function 'getnstimeofday'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "dereferencing pointer to incomplete type 'struct timeval'".
    - Fixed a driver installation failure on Linux kernel 5.6 release
      candidates, where the NVIDIA kernel module failed to build with error
      "implicit declaration of function 'jiffies_to_timespec'".
    - Fixed driver installation failure on Linux kernel 5.6 release candidates,
      where the NVIDIA kernel module failed to build with error "passing
      argument 4 of 'proc_create_data' from incompatible pointer type".
    - Fixed driver installation failure on Linux kernel 5.6 release candidates,
      where the NVIDIA kernel module failed to build with error "implicit
      declaration of function 'ioremap_nocache'".  (Closes: #956458)
    - Fixed driver installation failure on Oracle Linux 7.7 systems, where the
      NVIDIA kernel module failed to build with error "unknown type name
      'vm_fault_t'".
    - Add PRIME Synchronization support for Linux kernel 5.4 and newer.
      (Closes: #948568)

  [ Andreas Beckmann ]
  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7,
    thanks to Jiri Palecek.  (Closes: #960735)
  * Refresh patches.
  * Update lintian overrides.
  * Upload to stretch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Jun 2020 22:35:52 +0200
