=== debian/control ===
# NOTE: This file is generated from debian/control.in. To regenerate,
# run `make -f debian/rules debian/control'.
Source: nvidia-graphics-drivers-tesla-418
Section: non-free/libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b tesla-418/master
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dkms,
               libglvnd-dev,
               libvulkan1 (>= 1.0.42),
               libxext6,
               po-debconf,
               quilt,
               xz-utils
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-tesla-418-driver
Section: non-free/x11
Architecture: ppc64el amd64
Pre-Depends: nvidia-installer-cleanup, ${nvidia:legacy-check}
Depends: nvidia-support,
         xserver-xorg-video-${nvidia} (= ${binary:Version}),
         ${misc:Depends},
         ${nvidia:kmod:binary},
         ${nvidia}-alternative (= ${binary:Version}),
         ${nvidia}-driver-bin (= ${binary:Version}),
         ${nvidia}-driver-libs (= ${binary:Version}) | ${nvidia}-driver-libs-nonglvnd (= ${binary:Version}),
         ${nvidia}-vdpau-driver (= ${binary:Version})
Recommends: lib${nvidia}-cfg1 (= ${binary:Version}),
            nvidia-persistenced,
            ${nvidia-settings}
Suggests: ${nvidia:kmod:source}
Provides: nvidia-driver-any, nvidia-glx-any
Description: NVIDIA metapackage${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-tesla-418-alternative
Architecture: ppc64el amd64 i386
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.17.21), ${nvidia:legacy-check}
Depends: glx-alternative-nvidia (>= 1.1), ${misc:Depends}
Provides: ${nvidia}-alternative--kmod-alias
Conflicts: libegl1-glvnd-nvidia,
           libgl1-glvnd-nvidia-glx,
           libgles1-glvnd-nvidia,
           libgles2-glvnd-nvidia,
           libglvnd0-nvidia,
           libglx0-glvnd-nvidia,
           libopengl0-glvnd-nvidia
Breaks: nvidia-tesla-alternative (>> 0)
Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-glx --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

Package: nvidia-tesla-418-kernel-support
Section: non-free/kernel
Architecture: ppc64el amd64
Multi-Arch: foreign
Depends: nvidia-kernel-common (>= 20151021),
         nvidia-modprobe (>= ${nvidia:Version:major}),
         ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${nvidia}-alternative--kmod-alias
Provides: nvidia-kernel-support-any, ${nvidia}-kernel-support--v1
Description: NVIDIA binary kernel module support files${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package provides supporting configuration for the kernel module.

Package: nvidia-tesla-418-kernel-dkms
Section: non-free/kernel
Architecture: ppc64el amd64
Multi-Arch: foreign
Pre-Depends: nvidia-installer-cleanup
Depends: dkms, ${misc:Depends}, ${nvidia}-kernel-support--v1
Recommends: ${nvidia}-driver (>= ${nvidia:Version}) | ${libcuda1} (>= ${nvidia:Version})
Provides: ${nvidia}-kernel-${nvidia:Version}
Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
 This package builds the NVIDIA Xorg binary kernel module needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-tesla-418-kernel-source
Section: non-free/kernel
Architecture: ppc64el amd64
Depends: debhelper-compat (= ${nvidia:debhelper-compat}),
         make:any,
         quilt,
         xz-utils,
         ${misc:Depends}
Recommends: module-assistant | kernel-package, ${nvidia}-kernel-support
Suggests: ${nvidia}-driver (>= ${nvidia:Version})
Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
 This package provides the source for the NVIDIA Xorg binary kernel module
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant or kernel-package.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia}-kernel-source/README.Debian.gz
 for building information. If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia}-kernel-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-kernel-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: xserver-xorg-video-nvidia-tesla-418
Section: non-free/x11
Architecture: ppc64el amd64
Pre-Depends: nvidia-installer-cleanup, ${nvidia:legacy-check}
Depends: lib${nvidia}-glcore (= ${binary:Version}),
         nvidia-support,
         ${misc:Depends},
         ${nvidia:xorgDepends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Recommends: ${nvidia-settings},
            ${nvidia:kmod:binary},
            ${nvidia}-driver (>= ${nvidia:Version}),
            ${nvidia}-vdpau-driver (>= ${nvidia:Version})
Suggests: ${nvidia:kmod:source}
Provides: xserver-xorg-video-nvidia-any, ${nvidia:xorgProvides}
Description: NVIDIA binary Xorg driver${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-tesla-418-driver-bin
Section: non-free/x11
Architecture: ppc64el amd64
Depends: ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Recommends: ${nvidia}-driver
Provides: nvidia-driver-bin-${nvidia:Version}
Conflicts: nvidia-driver-bin-${nvidia:Version}
Description: NVIDIA driver support binaries${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

Package: libnvidia-tesla-418-cfg1
Architecture: ppc64el amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Provides: libnvidia-cfg.so.1 (= ${nvidia:Version}), libnvidia-cfg1-any
Description: NVIDIA binary OpenGL/GLX configuration library${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: nvidia-tesla-418-driver-libs
Architecture: ppc64el amd64 i386
Multi-Arch: same
Depends: libgl1-${nvidia}-glvnd-glx (= ${binary:Version}),
         ${misc:Depends},
         ${nvidia}-egl-icd (= ${binary:Version})
Recommends: lib${nvidia}-cfg1 (= ${binary:Version}) [${nvidia:arch:has-driver}],
            libgles-${nvidia-}1 (= ${binary:Version}),
            libgles-${nvidia-}2 (= ${binary:Version}),
            libglx-${nvidia-}0 (= ${binary:Version}),
            libopengl0 | libopengl0-glvnd-nvidia,
            ${nvidia}-driver-libs:i386 (= ${binary:Version}) [amd64],
            ${nvidia}-vulkan-icd (= ${binary:Version})
Provides: nvidia-driver-libs-any
Conflicts: libegl1-glvnd-nvidia,
           libgl1-${nvidia}-glx-i386,
           libgl1-glvnd-nvidia-glx,
           libgles1-glvnd-nvidia,
           libgles2-glvnd-nvidia,
           libglvnd0-nvidia,
           libglx0-glvnd-nvidia,
           libopengl0-glvnd-nvidia
Breaks: libegl1-${nvidia},
        libgl1-${nvidia}-glx,
        ${nvidia}-driver-libs-nonglvnd,
        ${nvidia}-nonglvnd-vulkan-icd
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

Package: nvidia-tesla-418-driver-libs-nonglvnd
Architecture: ppc64el amd64 i386
Multi-Arch: same
Depends: libegl1-${nvidia} (= ${binary:Version}),
         libgl1-${nvidia}-glx (= ${binary:Version}),
         ${misc:Depends}
Recommends: lib${nvidia}-cfg1 (= ${binary:Version}) [${nvidia:arch:has-driver}],
            libgles-${nvidia-}1 (= ${binary:Version}),
            libgles-${nvidia-}2 (= ${binary:Version}),
            libglx-${nvidia-}0 (= ${binary:Version}),
            ${nvidia}-driver-libs-nonglvnd:i386 (= ${binary:Version}) [amd64],
            ${nvidia}-nonglvnd-vulkan-icd (= ${binary:Version})
Provides: nvidia-driver-libs-any
Conflicts: libegl1-glvnd-nvidia,
           libgl1-glvnd-nvidia-glx,
           libgles1-glvnd-nvidia,
           libgles2-glvnd-nvidia,
           libglvnd0-nvidia,
           libglx0-glvnd-nvidia,
           libopengl0-glvnd-nvidia
Breaks: libgl1-${nvidia}-glvnd-glx, ${nvidia}-driver-libs, ${nvidia}-vulkan-icd
Description: NVIDIA metapackage (non-GLVND OpenGL/GLX/EGL/GLES libraries)${nvidia:VariantDescShort}
 This metapackage depends on the (non-GLVND) NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

Package: libglx-nvidia-tesla-418-0
Architecture: ppc64el amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: lib${nvidia}-glcore (= ${binary:Version}),
         libglx0 | libglx0-glvnd-nvidia,
         ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Provides: libglx-vendor
Description: NVIDIA binary GLX library${nvidia:VariantDesc}
 GLX ("OpenGL Extension to the X Window System") provides an interface between
 OpenGL and the X Window System as well as extensions to OpenGL itself.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
