## nvidia-graphics-drivers-tesla-418 418.165.02

=== debian/changelog ===
nvidia-graphics-drivers-tesla-418 (418.165.02-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 30 Oct 2020 10:17:01 -0700

nvidia-graphics-drivers-tesla-418 (418.165.02-1) unstable; urgency=medium

  * New upstream Tesla release 418.165.02 (2020-09-30).
  * New upstream release 390 series.
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "too many arguments to function '__vmalloc'".
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "'struct mm_struct' has no member named 'mmap_sem'".

  [ Andreas Beckmann ]
  * Backport get_user_pages_remote, vga_tryget, smp_read_barrier_depends,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.
  * Refresh patches.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Oct 2020 03:21:07 +0100

nvidia-graphics-drivers (390.138-2) UNRELEASED; urgency=medium

  * Backport nv_vmalloc changes from 450.57
    and work around mmap_{sem=>lock} rename
    to fix kernel module build for Linux 5.8.
  * Backport get_user_pages_remote, vga_tryget,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 01 Sep 2020 00:58:11 +0200
