## nvidia-graphics-drivers-tesla-418 418.197.02

=== debian/changelog ===
nvidia-graphics-drivers-tesla-418 (418.197.02-1) unstable; urgency=medium

  * New upstream Tesla release 418.197.02 (2021-04-19).
    * Fixed CVE-2021-1076.  (Closes: #987219)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5172

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Apr 2021 16:15:04 +0200

nvidia-graphics-drivers (418.197.02-1) buster; urgency=medium

  * New upstream Tesla release 418.197.02 (2021-04-19).
    * Fixed CVE-2021-1076.  (Closes: #987216)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5172

  [ Andreas Beckmann ]
  * nvidia-alternative: Add libnvidia-ml.so slave alternative if
    libnvidia-ml-dev is installed (460.56-2).  (Closes: #984881)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Apr 2021 15:01:59 +0200

nvidia-graphics-drivers-tesla-418 (418.181.07-2) unstable; urgency=medium

  * Switch to dh-sequence-dkms (460.56-1).
  * Simplify dh_dkms usage (460.56-1).
  * nvidia-tesla-418-alternative: Add libnvidia-ml.so slave alternative if
    libnvidia-ml-dev is installed (460.56-2).  (Closes: #984881)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 12 Mar 2021 20:11:00 +0100

nvidia-graphics-drivers-tesla-418 (418.181.07-1) unstable; urgency=medium

  * New upstream Tesla release 418.181.07 (2021-01-19).
    * Fixed CVE-2021-1056.  (Closes: #979673)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5142
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Jan 2021 14:01:39 +0100

nvidia-graphics-drivers (418.181.07-1) buster; urgency=medium

  * New upstream Tesla release 418.181.07 (2021-01-19).
    * Fixed CVE-2021-1056.  (Closes: #979670)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5142
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Allow alternative libnvidia-{tesla,legacy}-*-cfg1 packages to substitute
    libnvidia-cfg1 in third-party packages (450.57-2).
    - Add Provides: libnvidia-cfg.so.1 (= ${nvidia:Version}).
    - Generate alternative versioned dependency on libnvidia-cfg.so.1 through
      the symbols file.
  * Test that the patches can be applied to the module source (450.66-1).
  * nvidia-kernel-dkms: Ship with unapplied patches and apply the patches
    while building kernel modules (450.66-1).
  * Simplify generating the -source and -dkms packages (450.66-1).
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1. No changes needed.
  * Upload to buster.

  [ Vincent Cheng ]
  * Remove myself from Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 23 Jan 2021 19:12:36 +0100

nvidia-graphics-drivers-tesla-418 (418.165.02-2) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1. No changes needed.
  * Backport drm_prime_pages_to_sg_has_drm_device_arg and get_dma_ops changes
    from 455.45.01 to fix kernel module build for Linux 5.10.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 17 Dec 2020 13:08:40 +0100

nvidia-graphics-drivers (418.152.00-1) buster; urgency=medium

  * New upstream Tesla release 418.152.00 (2020-06-24).
    * Fixed CVE-2020-5963, CVE-2020-5967.  (Closes: #963766)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5031

  [ Andreas Beckmann ]
  * Use amd64 Tesla releases for buster.
  * Refresh patches.
  * Update lintian overrides.
  * Upload to buster.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jun 2020 18:01:24 +0200

nvidia-graphics-drivers (390.143-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.143 (2021-04-19).
    * Fixed CVE-2021-1076.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5172
    - Fixed a bug where vkCreateSwapchain could cause the X Server to crash
      when an invalid imageFormat was provided.
    - Fixed a driver installation failure on Linux kernel 5.11 release
      candidates, where the NVIDIA kernel module failed to build with error
      "fatal error: asm/kmap_types.h: No such file or directory".

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Apr 2021 22:38:56 +0200

nvidia-graphics-drivers (390.141-1) UNRELEASED; urgency=medium

  * New upstream legacy branch release 390.141 (2021-01-07).
    * Fixed CVE-2021-1056.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5142
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "'struct mm_struct' has no member named 'mmap_sem'".
    - Fixed a driver installation failure on Linux kernel 5.8 release
      candidates, where the NVIDIA kernel module failed to build with error
      "too many arguments to function '__vmalloc'".
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update glvnd symbols files.
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Jan 2021 03:31:58 +0100

nvidia-graphics-drivers (390.138-4) UNRELEASED; urgency=medium

  * Backport drm_prime_pages_to_sg_has_drm_device_arg and get_dma_ops changes
    from 455.45.01 to fix kernel module build for Linux 5.10.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Dec 2020 00:28:48 +0100

nvidia-graphics-drivers (390.138-3) UNRELEASED; urgency=medium

  * Backport get_user_pages_remote, vga_tryget,
    drm_driver_has_gem_free_object, drm_display_mode_has_vrefresh,
    drm_driver_master_set_has_int_return_type and drm_gem_object_put_unlocked
    changes from 455.23.04 to fix kernel module build for Linux 5.9.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Oct 2020 01:00:51 +0100

nvidia-graphics-drivers (390.132-4) UNRELEASED; urgency=medium

  [ Jiri Palecek ]
  * Fix #includes in conftest.sh to fix kernel module build for Linux 5.7.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 May 2020 17:13:15 +0200

nvidia-graphics-drivers (390.132-3) UNRELEASED; urgency=medium


