=== debian/rules ===
--- 
+++ 
@@ -169,9 +169,9 @@
 	sed 's/__NV_VK_ICD__/libGL.so.1/' $< > $@
 
 nv-readme.ids: unpack-stamp
-	sed	-e '0,/A. Supported\|APPENDIX A: SUPPORTED/d' \
-		-e '0,/Appendix A. Supported\|APPENDIX A: SUPPORTED/d' \
-		-e '0,/^Below\|APPENDIX B/{/ 0x/s/.*  0x\([0-9a-fA-F]\{4\}\).*/10de\1/p; /^.\{41\} [0-9a-fA-F]\{4\} /s/^.\{41\} \([0-9a-fA-F]\{4\}\) .*/10de\1/p};d' \
+	sed -r	-e '0,/A. Supported|APPENDIX A: SUPPORTED/d' \
+		-e '0,/Appendix A. Supported|APPENDIX A: SUPPORTED/d' \
+		-e '0,/^Below|APPENDIX B/{/ 0x/s/.*  0x([0-9a-fA-F]{4}).*/10de\1/p; /^(.{41}|.{49}) [0-9a-fA-F]{4} /s/^(.{41}|.{49}) ([0-9a-fA-F]{4}) .*/10de\2/p};d' \
 		NVIDIA-Linux/README.txt \
 		| tr a-f A-F | sort -u > $@
 	@set -e -x ; \
@@ -197,7 +197,7 @@
 
 .PHONY: binary binary-arch binary-indep build clean install
 binary binary-arch binary-indep build clean install:
-	dh $@ --with dkms
+	dh $@
 
 override_dh_auto_clean:
 	$(RM) -r .pc
@@ -210,3 +210,4 @@
 	$(RM) LICENSE.txt LICENSE.tmp copyright.tmp
 	test ! -d debian/po || debconf-updatepo
 
+override_dh_clean:
